Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.servlet.mvc
[Java] Class GrailsControllerBeanMap

    java.lang.Object
      java.util.AbstractMap
          org.apache.commons.beanutils.BeanMap
              org.codehaus.groovy.grails.web.servlet.mvc.GrailsControllerBeanMap

    public class GrailsControllerBeanMap
    extends org.apache.commons.beanutils.BeanMap

Filter action getters.

Authors:
  Stephane Maldini

Since:
  2.0

Field Summary

Fields inherited from class org.apache.commons.beanutils.BeanMap
NULL_ARGUMENTS, defaultTransformers

Constructor Summary
`GrailsControllerBeanMap(java.lang.Object bean)`

Method Summary
`java.lang.Object` | `get(java.lang.Object name)`

Methods inherited from class org.apache.commons.beanutils.BeanMap
org.apache.commons.beanutils.BeanMap#get(java.lang.Object), org.apache.commons.beanutils.BeanMap#put(java.lang.Object, java.lang.Object), org.apache.commons.beanutils.BeanMap#toString(), org.apache.commons.beanutils.BeanMap#values(), org.apache.commons.beanutils.BeanMap#clone(), org.apache.commons.beanutils.BeanMap#clear(), org.apache.commons.beanutils.BeanMap#keyIterator(), org.apache.commons.beanutils.BeanMap#entryIterator(), org.apache.commons.beanutils.BeanMap#valueIterator(), org.apache.commons.beanutils.BeanMap#size(), org.apache.commons.beanutils.BeanMap#entrySet(), org.apache.commons.beanutils.BeanMap#keySet(), org.apache.commons.beanutils.BeanMap#containsValue(java.lang.Object), org.apache.commons.beanutils.BeanMap#containsKey(java.lang.Object), org.apache.commons.beanutils.BeanMap#getType(java.lang.String), org.apache.commons.beanutils.BeanMap#getReadMethod(java.lang.String), org.apache.commons.beanutils.BeanMap#getWriteMethod(java.lang.String), org.apache.commons.beanutils.BeanMap#getBean(), org.apache.commons.beanutils.BeanMap#putAllWriteable(org.apache.commons.beanutils.BeanMap), org.apache.commons.beanutils.BeanMap#setBean(java.lang.Object), org.apache.commons.beanutils.BeanMap#remove(java.lang.Object), org.apache.commons.beanutils.BeanMap#equals(java.lang.Object), org.apache.commons.beanutils.BeanMap#hashCode(), org.apache.commons.beanutils.BeanMap#isEmpty(), org.apache.commons.beanutils.BeanMap#putAll(java.util.Map), org.apache.commons.beanutils.BeanMap#wait(), org.apache.commons.beanutils.BeanMap#wait(long, int), org.apache.commons.beanutils.BeanMap#wait(long), org.apache.commons.beanutils.BeanMap#getClass(), org.apache.commons.beanutils.BeanMap#notify(), org.apache.commons.beanutils.BeanMap#notifyAll()

Methods inherited from class java.util.AbstractMap
java.util.AbstractMap#remove(java.lang.Object), java.util.AbstractMap#get(java.lang.Object), java.util.AbstractMap#put(java.lang.Object, java.lang.Object), java.util.AbstractMap#equals(java.lang.Object), java.util.AbstractMap#toString(), java.util.AbstractMap#values(), java.util.AbstractMap#hashCode(), java.util.AbstractMap#clear(), java.util.AbstractMap#isEmpty(), java.util.AbstractMap#size(), java.util.AbstractMap#entrySet(), java.util.AbstractMap#putAll(java.util.Map), java.util.AbstractMap#keySet(), java.util.AbstractMap#containsValue(java.lang.Object), java.util.AbstractMap#containsKey(java.lang.Object), java.util.AbstractMap#wait(), java.util.AbstractMap#wait(long, int), java.util.AbstractMap#wait(long), java.util.AbstractMap#getClass(), java.util.AbstractMap#notify(), java.util.AbstractMap#notifyAll()

Constructor Detail

### GrailsControllerBeanMap

    public GrailsControllerBeanMap(java.lang.Object bean)

Method Detail

### get

    @Override
    public java.lang.Object get(java.lang.Object name)

Groovy Documentation